Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl
Class RegistryErrorTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl.RegistryErrorTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RegistryErrorType

    public class RegistryErrorTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RegistryErrorType

An implementation of the model object 'Error Type'.

The following features are implemented:

- `Value`
- `Code Context`
- `Error Code`
- `Location`
- `Severity`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getCodeContext()`
`java.lang.String` | `getErrorCode()`
`java.lang.String` | `getLocation()`
`ErrorType` | `getSeverity()`
`java.lang.String` | `getValue()`
`boolean` | `isSetSeverity()`
`void` | `setCodeContext(java.lang.String newCodeContext)`
`void` | `setErrorCode(java.lang.String newErrorCode)`
`void` | `setLocation(java.lang.String newLocation)`
`void` | `setSeverity(ErrorType newSeverity)`
`void` | `setValue(java.lang.String newValue)`
`java.lang.String` | `toString()`
`void` | `unsetSeverity()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `RegistryErrorType`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `RegistryErrorType.setValue(String)`, `RegistryPackage.getRegistryErrorType_Value()`

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    `setValue` in interface `RegistryErrorType`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `RegistryErrorType.getValue()`

### getCodeContext

    public java.lang.String getCodeContext()

  Specified by:
    `getCodeContext` in interface `RegistryErrorType`
  Returns:
    the value of the 'Code Context' attribute.
  See Also:
    `RegistryErrorType.setCodeContext(String)`, `RegistryPackage.getRegistryErrorType_CodeContext()`

### setCodeContext

    public void setCodeContext(java.lang.String newCodeContext)

  Specified by:
    `setCodeContext` in interface `RegistryErrorType`
  Parameters:
    `newCodeContext` - the new value of the 'Code Context' attribute.
  See Also:
    `RegistryErrorType.getCodeContext()`

### getErrorCode

    public java.lang.String getErrorCode()

  Specified by:
    `getErrorCode` in interface `RegistryErrorType`
  Returns:
    the value of the 'Error Code' attribute.
  See Also:
    `RegistryErrorType.setErrorCode(String)`, `RegistryPackage.getRegistryErrorType_ErrorCode()`

### setErrorCode

    public void setErrorCode(java.lang.String newErrorCode)

  Specified by:
    `setErrorCode` in interface `RegistryErrorType`
  Parameters:
    `newErrorCode` - the new value of the 'Error Code' attribute.
  See Also:
    `RegistryErrorType.getErrorCode()`

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in interface `RegistryErrorType`
  Returns:
    the value of the 'Location' attribute.
  See Also:
    `RegistryErrorType.setLocation(String)`, `RegistryPackage.getRegistryErrorType_Location()`

### setLocation

    public void setLocation(java.lang.String newLocation)

  Specified by:
    `setLocation` in interface `RegistryErrorType`
  Parameters:
    `newLocation` - the new value of the 'Location' attribute.
  See Also:
    `RegistryErrorType.getLocation()`

### getSeverity

    public ErrorType getSeverity()

  Specified by:
    `getSeverity` in interface `RegistryErrorType`
  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `ErrorType`, `RegistryErrorType.isSetSeverity()`, `RegistryErrorType.unsetSeverity()`, `RegistryErrorType.setSeverity(ErrorType)`, `RegistryPackage.getRegistryErrorType_Severity()`

### setSeverity

    public void setSeverity(ErrorType newSeverity)

  Specified by:
    `setSeverity` in interface `RegistryErrorType`
  Parameters:
    `newSeverity` - the new value of the 'Severity' attribute.
  See Also:
    `ErrorType`, `RegistryErrorType.isSetSeverity()`, `RegistryErrorType.unsetSeverity()`, `RegistryErrorType.getSeverity()`

### unsetSeverity

    public void unsetSeverity()

  Specified by:
    `unsetSeverity` in interface `RegistryErrorType`
  See Also:
    `RegistryErrorType.isSetSeverity()`, `RegistryErrorType.getSeverity()`, `RegistryErrorType.setSeverity(ErrorType)`

### isSetSeverity

    public boolean isSetSeverity()

  Specified by:
    `isSetSeverity` in interface `RegistryErrorType`
  Returns:
    whether the value of the 'Severity' attribute is set.
  See Also:
    `RegistryErrorType.unsetSeverity()`, `RegistryErrorType.getSeverity()`, `RegistryErrorType.setSeverity(ErrorType)`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD